Index: branch/egtra-gdiplus/GdiPlusGpStubs.ab
===================================================================
--- Include/GdiPlusGpStubs.ab	(revision 119)
+++ branch/egtra-gdiplus/GdiPlusGpStubs.ab	(revision 241)
@@ -9,97 +9,103 @@
 #require <Classes/System/Drawing/Drawing2D/Matrix.ab>
 
-Class GpGraphics
-End Class
+Namespace Gdiplus
 
-Class GpBrush
-End Class
-Class GpTexture
-	Inherits GpBrush
-End Class
-Class GpSolidFill
-	Inherits GpBrush
-End Class
-Class GpLineGradient
-	Inherits GpBrush
-End Class
-Class GpPathGradient
-	Inherits GpBrush
-End Class
-Class GpHatch
-	Inherits GpBrush
-End Class
+Type GpGraphics
+End Type
 
-Class GpPen
-End Class
-Class GpCustomLineCap
-End Class
-Class GpAdjustableArrowCap
-	Inherits GpCustomLineCap
-End Class
+Type GpBrush
+End Type
+Type GpTexture
+'	Inherits GpBrush
+End Type
+Type GpSolidFill
+'	Inherits GpBrush
+End Type
+Type GpLineGradient
+'	Inherits GpBrush
+End Type
+Type GpPathGradient
+'	Inherits GpBrush
+End Type
+Type GpHatch
+'	Inherits GpBrush
+End Type
 
-Class GpImage
-End Class
-Class GpBitmap
-	Inherits GpImage
-End Class
-Class GpMetafile
-	Inherits GpImage
-End Class
-Class GpImageAttributes
-End Class
+Type GpPen
+End Type
+Type GpCustomLineCap
+End Type
+Type GpAdjustableArrowCap
+'	Inherits GpCustomLineCap
+End Type
 
-Class GpPath
-End Class
-Class GpRegion
-End Class
-Class GpPathIterator
-End Class
+Type GpImage
+End Type
+Type GpBitmap
+'	Inherits GpImage
+End Type
+Type GpMetafile
+'	Inherits GpImage
+End Type
+Type GpImageAttributes
+End Type
 
-Class GpFontFamily
-End Class
-Class GpFont
-End Class
-Class GpStringFormat
-End Class
-Class GpFontCollection
-End Class
-Class GpInstalledFontCollection
-	Inherits GpFontCollection
-End Class
-Class GpPrivateFontCollection
-	Inherits GpFontCollection
-End Class
+Type GpPath
+End Type
+Type GpRegion
+End Type
+Type GpPathIterator
+End Type
 
-'Class GpCachedBitmap;
-Class GpCachedBitmap
-End Class
+Type GpFontFamily
+End Type
+Type GpFont
+End Type
+Type GpStringFormat
+End Type
+Type GpFontCollection
+End Type
+Type GpInstalledFontCollection
+'	Inherits GpFontCollection
+End Type
+Type GpPrivateFontCollection
+'	Inherits GpFontCollection
+End Type
 
-TypeDef GpStatus = Status
-TypeDef GpFillMode = FillMode
-TypeDef GpWrapMode = WrapMode
-TypeDef GpUnit = GraphicsUnit
-TypeDef GpCoordinateSpace = CoordinateSpace
-TypeDef GpPointF = PointF
-TypeDef GpPoint = Point
-TypeDef GpRectF = RectangleF
-TypeDef GpRect = Rectangle
-TypeDef GpSizeF = SizeF
-TypeDef GpHatchStyle = HatchStyle
-TypeDef GpDashStyle = DashStyle
-TypeDef GpLineCap = LineCap
-TypeDef GpDashCap = DashCap
+'Type GpCachedBitmap;
+Type GpCachedBitmap
+End Type
+
+TypeDef GpStatus = Gdiplus.Status
+TypeDef GpFillMode = System.Drawing.Drawing2D.FillMode
+TypeDef GpWrapMode = System.Drawing.Drawing2D.WrapMode
+TypeDef GpUnit = System.Drawing.GraphicsUnit
+TypeDef GpCoordinateSpace = System.Drawing.Drawing2D.CoordinateSpace
+TypeDef GpPointF = System.Drawing.PointF
+TypeDef GpPoint = System.Drawing.Point
+TypeDef GpRectF = System.Drawing.RectangleF
+TypeDef GpRect = System.Drawing.Rectangle
+TypeDef GpSizeF = System.Drawing.SizeF
+TypeDef GpHatchStyle = System.Drawing.Drawing2D.HatchStyle
+TypeDef GpDashStyle = System.Drawing.Drawing2D.DashStyle
+TypeDef GpLineCap = System.Drawing.Drawing2D.LineCap
+TypeDef GpDashCap = System.Drawing.Drawing2D.DashCap
 
 
-TypeDef GpPenAlignment = PenAlignment
+TypeDef GpPenAlignment = System.Drawing.Drawing2D.PenAlignment
 
-TypeDef GpLineJoin = LineJoin
-TypeDef GpPenType = PenType
+TypeDef GpLineJoin = System.Drawing.Drawing2D.LineJoin
+TypeDef GpPenType = System.Drawing.PenType
 
-TypeDef GpMatrix = Matrix
+'TypeDef GpMatrix = Matrix
+Type GpMatrix
+End Type
+
 TypeDef GpBrushType = BrushType
-TypeDef GpMatrixOrder = MatrixOrder
-TypeDef GpFlushIntention = FlushIntention
+TypeDef GpMatrixOrder = System.Drawing.Drawing2D.MatrixOrder
+TypeDef GpFlushIntention = System.Drawing.Drawing2D.FlushIntention
 TypeDef GpPathData = PathData
 
+End Namespace
+
 #endif '__GDIPLUSGPSTUBS_AB__
-
